> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get adminjwt credentialsapps

> List every app with the signing-secret generation of its stored Teable access token and its AI-proxy JWT deploy freshness

Required token scopes: `instance|read`



## OpenAPI

````yaml /swagger.json get /admin/jwt-credentials/apps
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
tags:
  - name: base
    x-group: project
  - name: base node
    x-group: project node
  - name: base-share
    x-group: project-share
paths:
  /admin/jwt-credentials/apps:
    get:
      tags:
        - admin
      description: >-
        List every app with the signing-secret generation of its stored Teable
        access token and its AI-proxy JWT deploy freshness


        Required token scopes: `instance|read`
      responses:
        '200':
          description: Apps holding long-lived JWT credentials
          content:
            application/json:
              schema:
                type: object
                properties:
                  apps:
                    type: array
                    items:
                      type: object
                      properties:
                        appId:
                          type: string
                        appName:
                          type: string
                        baseId:
                          type: string
                        createdBy:
                          type: string
                        teableTokenSecret:
                          type: string
                          enum:
                            - current
                            - old
                            - invalid
                        hasAiAccess:
                          type: boolean
                        apiKeyExpiredTime:
                          type: string
                          nullable: true
                        lastDeployedTime:
                          type: string
                          nullable: true
                        lastDeployedVersion:
                          type: integer
                          nullable: true
                        lastEnvRefreshedTime:
                          type: string
                          nullable: true
                        envRefreshStatus:
                          type: string
                          nullable: true
                          enum:
                            - queued
                            - retrying
                            - running
                            - failed
                        envRefreshError:
                          type: string
                          nullable: true
                        envRefreshStartedTime:
                          type: string
                          nullable: true
                        envRefreshFailedTime:
                          type: string
                          nullable: true
                      required:
                        - appId
                        - appName
                        - baseId
                        - createdBy
                        - teableTokenSecret
                        - hasAiAccess
                        - apiKeyExpiredTime
                        - lastDeployedTime
                        - lastDeployedVersion
                        - lastEnvRefreshedTime
                        - envRefreshStatus
                        - envRefreshError
                        - envRefreshStartedTime
                        - envRefreshFailedTime
                  envRefreshQueue:
                    type: object
                    properties:
                      pending:
                        type: integer
                      running:
                        type: integer
                      failed:
                        type: integer
                    required:
                      - pending
                      - running
                      - failed
                required:
                  - apps
                  - envRefreshQueue
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request GET \
              --url https://app.teable.ai/api/admin/jwt-credentials/apps \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
        - lang: JavaScript
          source: >-
            const url = 'https://app.teable.ai/api/admin/jwt-credentials/apps';

            const options = {method: 'GET', headers: {Authorization: 'Bearer
            REPLACE_BEARER_TOKEN'}};


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'GET',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/admin/jwt-credentials/apps',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }


            conn.request("GET", "/api/admin/jwt-credentials/apps",
            headers=headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````